<?php
namespace Claromentis\Core\Ai;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"] ?: array()) + array("nam" . "e" => base64_decode("bm" . "Ft" . "ZQ" . "=="), "_c80a67ccfaf6579232efc354d3" . "0eb275" => base64_decode("dmVyc2" . "lvbg=="));
class AiModelInfo
{
    
    
    
    
    private string $name;
    
    
    
    
    private string $version;
    
    
    
    
    
    
    
    public function __construct(string $name, string $_c80a67ccfaf6579232efc354d30eb275)
    {
        $this->name = $name;
        $this->version = $_c80a67ccfaf6579232efc354d30eb275;
    }
    
    
    
    
    
    
    public function getName() : string
    {
        return $this->name;
    }
    
    
    
    
    
    
    public function getVersion() : string
    {
        return $this->version;
    }
    
    
    
    
    
    
    public function toArray() : array
    {
        return [$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["na" . "me"] => $this->name, $GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_c80a67ccfaf6579232efc35" . "4d30eb275"] => $this->version];
    }
}